SVMModel::predict_probability
SVMModel::save
SVMModel
PHP Manual

# SVMModel::predict

(PECL svm >= 0.1.0)

SVMModel::predict — Predict a value for previously unseen data

### Description

public float SVMModel::predict ( array `$data` )

This function accepts an array of data and attempts to predict the class or regression value based on the model extracted from previously trained data.

### Parameters

`data`

  The array to be classified. This should be a series of key => value pairs in increasing key order, but not necessarily continuous.

### Return Values

Float the predicted value. This will be a class label in the case of classification, a real value in the case of regression. Throws SVMException on error

### See Also

- SVM::train() - Create a SVMModel based on training data

SVMModel::predict_probability
SVMModel::save
SVMModel
PHP Manual